Renderables is a simple registry to register renderables.

### Hierarchy

- Renderables

## Index

### Properties

- renderableMap

### Methods

- register
- resolve

## Properties

### Static Private renderableMap

renderableMap: object

- Defined in lib/renderable/Renderables.ts:9

The map where the renderables are stored

#### Type declaration

## Methods

### Static register

- register(name: string, renderable: any): void

- - Defined in lib/renderable/Renderables.ts:17

  Registers the property in the registry

  #### Parameters

  - ##### name: string

    the renderables name

  - ##### renderable: any

    the renderables class

  #### Returns void

### Static resolve

- resolve(name: string): any

- - Defined in lib/renderable/Renderables.ts:26

  Returns the renderable from the registry

  #### Parameters

  - ##### name: string

    the renderables name

  #### Returns any

Generated using TypeDoc